4 berichten aan het bekijken - 1 tot 4 (van in totaal 4)
  • Q:
    Bijdrager
    eaglejohn

    XCode 4.2 met SDK 4.3

    Is het mogelijk om de SDK van iOS 4.3 te installeren/importeren in XCode 4.2? Na het installeren van XCode 4.2 kan ik alleen gebruik maken van SDK 5.0.

    Bijdrager
    bitsflew
    eaglejohn op 25 oktober 2011

    Is het mogelijk om de SDK van iOS 4.3 te installeren/importeren in XCode 4.2? Na het installeren van XCode 4.2 kan ik alleen gebruik maken van SDK 5.0.

    Je kunt de minimale deployment target toch op 4.3 zetten? Of is een andere reden waarom je de 4.3 SDK wilt gebruiken?

    Bijdrager
    eaglejohn

    In Xcode 4.2 kan ik bij de target alleen maar 5.0 selecteren. In Xcode 4.1 kan ik kiezen uit 4.3 en nog veel meer oudere SDK’s.

    Wanneer ik nu via Xcode 4.2 een app maak die ik via TestFlight wil verspreiden, worden testers verplicht iOS 5.0 op hun device te gebruiken. Maak ik de app via Xcode 4.1 (en dus met SDK 4.3) dan is dit (logischerwijs) niet het geval.

    Dat switchen tussen Xcode 4.1 en 4.2 vind ik niet handig en vroeg me af of ik SDK 4.3 in Xcode 4.2 kan laden. Zo kan ik gewoon werken met Xcode 4.2 werken, maar de app’s wel compatible houden met oudere iOS’s.

    Bijdrager
    bitsflew

    In Xcode 4.2 kan ik bij de target alleen maar 5.0 selecteren. In Xcode 4.1 kan ik kiezen uit 4.3 en nog veel meer oudere SDK\’s.

    Wanneer ik nu via Xcode 4.2 een app maak die ik via TestFlight wil verspreiden, worden testers verplicht iOS 5.0 op hun device te gebruiken.

    Compileren met iOS 5 SDK impliceert niet dat de app alleen onder iOS 5 loopt!
    Je kunt zelf de ondergrens bepalen middels de ‘deployment target’ instelling.

    iOS 5 specifieke dingen kun je uiteraard niet gebruiken onder iOS 4.3.

4 berichten aan het bekijken - 1 tot 4 (van in totaal 4)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.